Ptex

Public Member Functions | List of all members
AtomicCompareAndSwapImpl< T, sizeof(uint64_t)> Struct Template Reference

`#include <PtexPlatform.h>`

## Public Member Functions
PTEX_INLINE bool | operator() (T volatile *target, T oldvalue, T newvalue)

## Detailed Description

### template<typename T>
struct AtomicCompareAndSwapImpl< T, sizeof(uint64_t)>

Definition at line 257 of file PtexPlatform.h.

## Member Function Documentation

## ◆ operator()()

template<typename T >

PTEX_INLINE bool AtomicCompareAndSwapImpl< T, sizeof(uint64_t)>::operator() | ( | T volatile * | target,
|  | T | oldvalue,
|  | T | newvalue
| ) |  |
| inline

Definition at line 258 of file PtexPlatform.h.

References BOOL_CMPXCH64.

The documentation for this struct was generated from the following file:

- PtexPlatform.h